LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Included Services | Public Attributes | List of all members
ViewDescriptor Service Referencepublished

is used to define a new view for a database. More...

`import"ViewDescriptor.idl";`

Inheritance diagram for ViewDescriptor:

## Included Services
service | Descriptor

## Public Attributes
string | CatalogName
| is the name of the views catalog, may be empty. More...
string | SchemaName
| is the name of the views schema, may be empty. More...
string | Command
| is the command for creating the view. More...
long | CheckOption
| indicates if a check option should be used for the view. More...
Public Attributes inherited from Descriptor
string | Name
| is the name for the object to create. More...

## Additional Inherited Members
Exported Interfaces inherited from Descriptor
interface | com::sun::star::beans::XPropertySet
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is used to define a new view for a database.

See also
  com::sun::star::sdbcx::View

## Exported Interfaces

service Descriptor

## Member Data Documentation

string CatalogName
| property

is the name of the views catalog, may be empty.

long CheckOption
| property

indicates if a check option should be used for the view.

See also
  com::sun::star::sdbcx::CheckOption

string Command
| property

is the command for creating the view.

After appending a view to it's container, the command may be empty. This is typically a SQL Select-Statement.

string SchemaName
| property

is the name of the views schema, may be empty.

The documentation for this service was generated from the following file:

- com/sun/star/sdbcx/ViewDescriptor.idl